#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'jobque.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "jobque.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a JobQue as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
JobQue::JobQue( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "JobQue" );
    JobQueLayout = new TQGridLayout( this, 1, 1, 0, 6, "JobQueLayout"); 

    removeAll = new TQPushButton( this, "removeAll" );

    JobQueLayout->addWidget( removeAll, 2, 2 );

    removeSelected = new TQPushButton( this, "removeSelected" );

    JobQueLayout->addWidget( removeSelected, 2, 3 );
    Spacer2 = new TQSpacerItem( 16, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    JobQueLayout->addItem( Spacer2, 2, 0 );

    todoQue = new TQListView( this, "todoQue" );
    todoQue->addColumn( tr2i18n( "Job" ) );
    todoQue->addColumn( tr2i18n( "Progress" ) );
    todoQue->addColumn( tr2i18n( "Description" ) );
    todoQue->setSelectionMode( TQListView::Multi );
    todoQue->setAllColumnsShowFocus( TRUE );
    todoQue->setResizeMode( TQListView::LastColumn );

    JobQueLayout->addMultiCellWidget( todoQue, 1, 1, 0, 3 );

    queLabel = new TQLabel( this, "queLabel" );
    queLabel->setAlignment( int( TQLabel::AlignCenter ) );

    JobQueLayout->addMultiCellWidget( queLabel, 0, 0, 0, 3 );

    removeDoneJobs = new TQPushButton( this, "removeDoneJobs" );

    JobQueLayout->addWidget( removeDoneJobs, 2, 1 );
    languageChange();
    resize( TQSize(629, 513).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( todoQue, removeDoneJobs );
    setTabOrder( removeDoneJobs, removeAll );
    setTabOrder( removeAll, removeSelected );
}

/*
 *  Destroys the object and frees any allocated resources
 */
JobQue::~JobQue()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void JobQue::languageChange()
{
    removeAll->setText( tr2i18n( "Remove All Jobs" ) );
    removeSelected->setText( tr2i18n( "Remove Selected Jobs" ) );
    todoQue->header()->setLabel( 0, tr2i18n( "Job" ) );
    todoQue->header()->setLabel( 1, tr2i18n( "Progress" ) );
    todoQue->header()->setLabel( 2, tr2i18n( "Description" ) );
    queLabel->setText( tr2i18n( "No jobs are in the queue" ) );
    removeDoneJobs->setText( tr2i18n( "Remove Completed Jobs" ) );
}

/****************************************************************************
** JobQue meta object code from reading C++ file 'jobque.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "jobque.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *JobQue::className() const
{
    return "JobQue";
}

TQMetaObject *JobQue::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_JobQue( "JobQue", &JobQue::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString JobQue::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "JobQue", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString JobQue::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "JobQue", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* JobQue::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"JobQue", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_JobQue.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* JobQue::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "JobQue" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool JobQue::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool JobQue::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool JobQue::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool JobQue::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
