#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kjskinselectorwidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kjskinselectorwidget.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <kurlrequester.h>
#include <ntqcombobox.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <ntqtextbrowser.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KJSkinselector as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KJSkinselector::KJSkinselector( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KJSkinselector" );
    KJSkinselectorLayout = new TQVBoxLayout( this, 11, 6, "KJSkinselectorLayout"); 

    mSkins = new TQComboBox( FALSE, this, "mSkins" );
    mSkins->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)0, 0, 0, mSkins->sizePolicy().hasHeightForWidth() ) );
    KJSkinselectorLayout->addWidget( mSkins );

    previewGroup = new TQGroupBox( this, "previewGroup" );
    previewGroup->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 0, previewGroup->sizePolicy().hasHeightForWidth() ) );
    previewGroup->setColumnLayout(0, TQt::Vertical );
    previewGroup->layout()->setSpacing( 6 );
    previewGroup->layout()->setMargin( 11 );
    previewGroupLayout = new TQGridLayout( previewGroup->layout() );
    previewGroupLayout->setAlignment( TQt::AlignTop );
    spacer1 = new TQSpacerItem( 20, 31, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    previewGroupLayout->addItem( spacer1, 0, 1 );
    spacer2 = new TQSpacerItem( 51, 21, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    previewGroupLayout->addItem( spacer2, 2, 2 );
    spacer3 = new TQSpacerItem( 20, 41, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    previewGroupLayout->addItem( spacer3, 3, 1 );
    spacer4 = new TQSpacerItem( 31, 21, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    previewGroupLayout->addItem( spacer4, 1, 0 );

    mPreview = new TQLabel( previewGroup, "mPreview" );
    mPreview->setScaledContents( FALSE );
    mPreview->setAlignment( int( TQLabel::AlignCenter ) );

    previewGroupLayout->addMultiCellWidget( mPreview, 1, 2, 1, 1 );
    KJSkinselectorLayout->addWidget( previewGroup );

    textLabel1 = new TQLabel( this, "textLabel1" );
    KJSkinselectorLayout->addWidget( textLabel1 );

    mAboutText = new TQTextBrowser( this, "mAboutText" );
    mAboutText->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)5, 0, 0, mAboutText->sizePolicy().hasHeightForWidth() ) );
    KJSkinselectorLayout->addWidget( mAboutText );

    Layout3 = new TQHBoxLayout( 0, 0, 6, "Layout3"); 

    mSkinRequester = new KURLRequester( this, "mSkinRequester" );
    mSkinRequester->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)5, 0, 0, mSkinRequester->sizePolicy().hasHeightForWidth() ) );
    Layout3->addWidget( mSkinRequester );

    installButton = new TQPushButton( this, "installButton" );
    Layout3->addWidget( installButton );

    mRemoveButton = new TQPushButton( this, "mRemoveButton" );
    Layout3->addWidget( mRemoveButton );
    KJSkinselectorLayout->addLayout( Layout3 );
    languageChange();
    resize( TQSize(461, 345).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KJSkinselector::~KJSkinselector()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KJSkinselector::languageChange()
{
    previewGroup->setTitle( tr2i18n( "Preview" ) );
    textLabel1->setText( tr2i18n( "About skin:" ) );
    mAboutText->setText( tr2i18n( "Here you will see all the comments people wrote about their skins.\n"
"It can be several lines and usually does not contain anything interesting but still this will be shown." ) );
    installButton->setText( tr2i18n( "Install Skin" ) );
    mRemoveButton->setText( tr2i18n( "Remove Skin" ) );
}

/****************************************************************************
** KJSkinselector meta object code from reading C++ file 'kjskinselectorwidget.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "kjskinselectorwidget.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KJSkinselector::className() const
{
    return "KJSkinselector";
}

TQMetaObject *KJSkinselector::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KJSkinselector( "KJSkinselector", &KJSkinselector::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KJSkinselector::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KJSkinselector", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KJSkinselector::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KJSkinselector", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KJSkinselector::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KJSkinselector", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KJSkinselector.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KJSkinselector::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KJSkinselector" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool KJSkinselector::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KJSkinselector::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KJSkinselector::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool KJSkinselector::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
