#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'encodefile.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "encodefile.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <kurlrequester.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqgroupbox.h>
#include <ntqspinbox.h>
#include <ntqlineedit.h>
#include <ntqcombobox.h>
#include <ntqframe.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a EncodeFile which is a child of 'parent', with the
 *  name 'name'.' 
 */
EncodeFile::EncodeFile( TQWidget* parent,  const char* name )
    : KDialog( parent, name )
{
    if ( !name )
	setName( "EncodeFile" );
    EncodeFileLayout = new TQVBoxLayout( this, 11, 6, "EncodeFileLayout"); 

    layout5 = new TQHBoxLayout( 0, 0, 6, "layout5"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    layout5->addWidget( textLabel1 );

    file = new KURLRequester( this, "file" );
    file->setShowLocalProtocol( TRUE );
    layout5->addWidget( file );
    EncodeFileLayout->addLayout( layout5 );

    groupBox2 = new TQGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, TQt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new TQGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( TQt::AlignTop );

    track = new TQSpinBox( groupBox2, "track" );
    track->setMinValue( 1 );

    groupBox2Layout->addWidget( track, 3, 1 );

    textLabel4 = new TQLabel( groupBox2, "textLabel4" );
    textLabel4->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox2Layout->addWidget( textLabel4, 3, 0 );

    textLabel5 = new TQLabel( groupBox2, "textLabel5" );
    textLabel5->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox2Layout->addWidget( textLabel5, 4, 0 );

    track_comment = new TQLineEdit( groupBox2, "track_comment" );

    groupBox2Layout->addWidget( track_comment, 4, 1 );

    textLabel3 = new TQLabel( groupBox2, "textLabel3" );
    textLabel3->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox2Layout->addWidget( textLabel3, 2, 0 );

    textLabel2 = new TQLabel( groupBox2, "textLabel2" );
    textLabel2->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox2Layout->addMultiCellWidget( textLabel2, 0, 1, 0, 0 );

    track_title = new TQLineEdit( groupBox2, "track_title" );

    groupBox2Layout->addMultiCellWidget( track_title, 1, 2, 1, 1 );

    track_artist = new TQLineEdit( groupBox2, "track_artist" );

    groupBox2Layout->addWidget( track_artist, 0, 1 );
    EncodeFileLayout->addWidget( groupBox2 );

    groupBox1 = new TQGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, TQt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new TQGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( TQt::AlignTop );

    artist = new TQLineEdit( groupBox1, "artist" );

    groupBox1Layout->addWidget( artist, 1, 1 );

    textLabel6 = new TQLabel( groupBox1, "textLabel6" );
    textLabel6->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox1Layout->addWidget( textLabel6, 1, 0 );

    textLabel7 = new TQLabel( groupBox1, "textLabel7" );
    textLabel7->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox1Layout->addWidget( textLabel7, 2, 0 );

    album = new TQLineEdit( groupBox1, "album" );

    groupBox1Layout->addWidget( album, 2, 1 );

    year = new TQSpinBox( groupBox1, "year" );
    year->setMaxValue( 99999 );

    groupBox1Layout->addWidget( year, 3, 1 );

    textLabel8 = new TQLabel( groupBox1, "textLabel8" );
    textLabel8->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox1Layout->addWidget( textLabel8, 3, 0 );

    textLabel9 = new TQLabel( groupBox1, "textLabel9" );
    textLabel9->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox1Layout->addWidget( textLabel9, 4, 0 );

    genre = new TQComboBox( FALSE, groupBox1, "genre" );

    groupBox1Layout->addWidget( genre, 4, 1 );

    textLabel10 = new TQLabel( groupBox1, "textLabel10" );
    textLabel10->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );

    groupBox1Layout->addWidget( textLabel10, 5, 0 );

    comment = new TQLineEdit( groupBox1, "comment" );

    groupBox1Layout->addWidget( comment, 5, 1 );
    EncodeFileLayout->addWidget( groupBox1 );
    spacer8 = new TQSpacerItem( 20, 16, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    EncodeFileLayout->addItem( spacer8 );

    line1 = new TQFrame( this, "line1" );
    line1->setFrameShape( TQFrame::HLine );
    line1->setFrameShadow( TQFrame::Sunken );
    line1->setFrameShape( TQFrame::HLine );
    EncodeFileLayout->addWidget( line1 );

    layout4 = new TQHBoxLayout( 0, 0, 6, "layout4"); 
    spacer6 = new TQSpacerItem( 121, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout4->addItem( spacer6 );

    encodeButton = new TQPushButton( this, "encodeButton" );
    encodeButton->setEnabled( FALSE );
    layout4->addWidget( encodeButton );

    closeButton = new TQPushButton( this, "closeButton" );
    layout4->addWidget( closeButton );
    EncodeFileLayout->addLayout( layout4 );
    languageChange();
    resize( TQSize(339, 452).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( closeButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );

    // tab order
    setTabOrder( file, track_artist );
    setTabOrder( track_artist, track_title );
    setTabOrder( track_title, track );
    setTabOrder( track, track_comment );
    setTabOrder( track_comment, artist );
    setTabOrder( artist, album );
    setTabOrder( album, year );
    setTabOrder( year, genre );
    setTabOrder( genre, comment );
    setTabOrder( comment, encodeButton );
    setTabOrder( encodeButton, closeButton );

    // buddies
    textLabel1->setBuddy( file );
}

/*
 *  Destroys the object and frees any allocated resources
 */
EncodeFile::~EncodeFile()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EncodeFile::languageChange()
{
    setCaption( tr2i18n( "Encode File" ) );
    textLabel1->setText( tr2i18n( "&File to encode:" ) );
    groupBox2->setTitle( tr2i18n( "Track" ) );
    textLabel4->setText( tr2i18n( "Track:" ) );
    textLabel5->setText( tr2i18n( "Comment:" ) );
    textLabel3->setText( tr2i18n( "Title:" ) );
    textLabel2->setText( tr2i18n( "Artist:" ) );
    groupBox1->setTitle( tr2i18n( "Album" ) );
    textLabel6->setText( tr2i18n( "Artist:" ) );
    textLabel7->setText( tr2i18n( "Album:" ) );
    textLabel8->setText( tr2i18n( "Year:" ) );
    textLabel9->setText( tr2i18n( "Genre:" ) );
    textLabel10->setText( tr2i18n( "Comment:" ) );
    encodeButton->setText( tr2i18n( "&Encode File" ) );
    closeButton->setText( tr2i18n( "&Close" ) );
}

/****************************************************************************
** EncodeFile meta object code from reading C++ file 'encodefile.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "encodefile.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *EncodeFile::className() const
{
    return "EncodeFile";
}

TQMetaObject *EncodeFile::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_EncodeFile( "EncodeFile", &EncodeFile::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString EncodeFile::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "EncodeFile", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString EncodeFile::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "EncodeFile", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* EncodeFile::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = KDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"EncodeFile", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_EncodeFile.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* EncodeFile::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "EncodeFile" ) )
	return this;
    return KDialog::tqt_cast( clname );
}

bool EncodeFile::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return KDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool EncodeFile::tqt_emit( int _id, TQUObject* _o )
{
    return KDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool EncodeFile::tqt_property( int id, int f, TQVariant* v)
{
    return KDialog::tqt_property( id, f, v);
}

bool EncodeFile::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
