#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'ripconfig.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ripconfig.h"

#include <ntqvariant.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <kurlrequester.h>
#include <ntqpushbutton.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqspinbox.h>
#include <ntqgroupbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a RipConfig as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
RipConfig::RipConfig( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "RipConfig" );
    RipConfigLayout = new TQVBoxLayout( this, 0, 6, "RipConfigLayout"); 

    kcfg_beepAfterRip = new TQCheckBox( this, "kcfg_beepAfterRip" );
    RipConfigLayout->addWidget( kcfg_beepAfterRip );

    Layout4 = new TQHBoxLayout( 0, 0, 6, "Layout4"); 

    TextLabel14 = new TQLabel( this, "TextLabel14" );
    Layout4->addWidget( TextLabel14 );

    kcfg_maxWavFiles = new TQSpinBox( this, "kcfg_maxWavFiles" );
    kcfg_maxWavFiles->setMaxValue( 99999 );
    kcfg_maxWavFiles->setMinValue( 1 );
    Layout4->addWidget( kcfg_maxWavFiles );
    RipConfigLayout->addLayout( Layout4 );

    kcfg_autoEjectAfterRip = new TQCheckBox( this, "kcfg_autoEjectAfterRip" );
    RipConfigLayout->addWidget( kcfg_autoEjectAfterRip );

    Layout6 = new TQHBoxLayout( 0, 0, 6, "Layout6"); 

    TextLabel15 = new TQLabel( this, "TextLabel15" );
    TextLabel15->setEnabled( FALSE );
    Layout6->addWidget( TextLabel15 );

    kcfg_autoEjectDelay = new TQSpinBox( this, "kcfg_autoEjectDelay" );
    kcfg_autoEjectDelay->setEnabled( FALSE );
    kcfg_autoEjectDelay->setMaxValue( 300 );
    Layout6->addWidget( kcfg_autoEjectDelay );
    RipConfigLayout->addLayout( Layout6 );

    kcfg_enableTempDir = new TQGroupBox( this, "kcfg_enableTempDir" );
    kcfg_enableTempDir->setCheckable( TRUE );
    kcfg_enableTempDir->setChecked( FALSE );
    kcfg_enableTempDir->setColumnLayout(0, TQt::Vertical );
    kcfg_enableTempDir->layout()->setSpacing( 6 );
    kcfg_enableTempDir->layout()->setMargin( 11 );
    kcfg_enableTempDirLayout = new TQHBoxLayout( kcfg_enableTempDir->layout() );
    kcfg_enableTempDirLayout->setAlignment( TQt::AlignTop );

    kcfg_tempDir = new KURLRequester( kcfg_enableTempDir, "kcfg_tempDir" );
    kcfg_enableTempDirLayout->addWidget( kcfg_tempDir );
    RipConfigLayout->addWidget( kcfg_enableTempDir );
    Spacer2 = new TQSpacerItem( 20, 280, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    RipConfigLayout->addItem( Spacer2 );
    languageChange();
    resize( TQSize(525, 526).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_autoEjectAfterRip, TQ_SIGNAL( toggled(bool) ), kcfg_autoEjectDelay, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_autoEjectAfterRip, TQ_SIGNAL( toggled(bool) ), TextLabel15, TQ_SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( kcfg_beepAfterRip, kcfg_maxWavFiles );
    setTabOrder( kcfg_maxWavFiles, kcfg_autoEjectAfterRip );
    setTabOrder( kcfg_autoEjectAfterRip, kcfg_autoEjectDelay );

    // buddies
    TextLabel14->setBuddy( kcfg_maxWavFiles );
    TextLabel15->setBuddy( kcfg_autoEjectDelay );
}

/*
 *  Destroys the object and frees any allocated resources
 */
RipConfig::~RipConfig()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void RipConfig::languageChange()
{
    kcfg_beepAfterRip->setText( tr2i18n( "&Beep after each rip is done" ) );
    TextLabel14->setText( tr2i18n( "&Number of tracks to rip at a time:" ) );
    kcfg_autoEjectAfterRip->setText( tr2i18n( "&Auto-eject CD after last track is ripped" ) );
    TextLabel15->setText( tr2i18n( "Auto-&eject delay:" ) );
    kcfg_autoEjectDelay->setSuffix( tr2i18n( " seconds" ) );
    kcfg_enableTempDir->setTitle( tr2i18n( "Default Temporary Directory" ) );
}

/****************************************************************************
** RipConfig meta object code from reading C++ file 'ripconfig.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "ripconfig.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *RipConfig::className() const
{
    return "RipConfig";
}

TQMetaObject *RipConfig::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_RipConfig( "RipConfig", &RipConfig::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString RipConfig::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "RipConfig", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString RipConfig::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "RipConfig", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* RipConfig::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"RipConfig", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_RipConfig.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* RipConfig::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "RipConfig" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool RipConfig::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool RipConfig::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool RipConfig::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool RipConfig::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
