#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'tracks.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "tracks.h"

#include <ntqvariant.h>
#include <kcombobox.h>
#include <klineedit.h>
#include <tdelistview.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a Tracks as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
Tracks::Tracks( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "Tracks" );
    TracksLayout = new TQGridLayout( this, 1, 1, 0, 6, "TracksLayout"); 

    albumName = new TQLabel( this, "albumName" );
    albumName->setFrameShape( TQLabel::NoFrame );
    albumName->setFrameShadow( TQLabel::Plain );
    albumName->setAlignment( int( TQLabel::AlignCenter ) );

    TracksLayout->addWidget( albumName, 1, 0 );

    trackListing = new TDEListView( this, "trackListing" );
    trackListing->addColumn( tr2i18n( "Rip" ) );
    trackListing->addColumn( tr2i18n( "Track" ) );
    trackListing->addColumn( tr2i18n( "Length" ) );
    trackListing->addColumn( tr2i18n( "Title" ) );
    trackListing->setAllColumnsShowFocus( TRUE );
    trackListing->setResizeMode( TDEListView::LastColumn );

    TracksLayout->addWidget( trackListing, 2, 0 );

    Layout2 = new TQHBoxLayout( 0, 0, 6, "Layout2"); 
    Spacer1 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout2->addItem( Spacer1 );

    selectAllTracksButton = new TQPushButton( this, "selectAllTracksButton" );
    Layout2->addWidget( selectAllTracksButton );

    deselectAllTracksButton = new TQPushButton( this, "deselectAllTracksButton" );
    Layout2->addWidget( deselectAllTracksButton );

    TracksLayout->addLayout( Layout2, 3, 0 );

    layout6 = new TQHBoxLayout( 0, 0, 6, "layout6"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    textLabel1->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)5, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    layout6->addWidget( textLabel1 );

    deviceCombo = new KComboBox( FALSE, this, "deviceCombo" );
    deviceCombo->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)5, 0, 0, deviceCombo->sizePolicy().hasHeightForWidth() ) );
    deviceCombo->setEditable( TRUE );
    layout6->addWidget( deviceCombo );
    Spacer3 = new TQSpacerItem( 246, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout6->addItem( Spacer3 );

    TracksLayout->addLayout( layout6, 0, 0 );
    languageChange();
    resize( TQSize(501, 377).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( deviceCombo, trackListing );
    setTabOrder( trackListing, selectAllTracksButton );
    setTabOrder( selectAllTracksButton, deselectAllTracksButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
Tracks::~Tracks()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void Tracks::languageChange()
{
    setCaption( tr2i18n( "Tracks" ) );
    albumName->setText( tr2i18n( "Unknown Artist - Unknown Album" ) );
    trackListing->header()->setLabel( 0, tr2i18n( "Rip" ) );
    trackListing->header()->setLabel( 1, tr2i18n( "Track" ) );
    trackListing->header()->setLabel( 2, tr2i18n( "Length" ) );
    trackListing->header()->setLabel( 3, tr2i18n( "Title" ) );
    selectAllTracksButton->setText( tr2i18n( "Select &All Tracks" ) );
    deselectAllTracksButton->setText( tr2i18n( "&Deselect All Tracks" ) );
    textLabel1->setText( tr2i18n( "Device:" ) );
    deviceCombo->clear();
    deviceCombo->insertItem( tr2i18n( "/dev/cdrom" ) );
}

/****************************************************************************
** Tracks meta object code from reading C++ file 'tracks.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "tracks.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *Tracks::className() const
{
    return "Tracks";
}

TQMetaObject *Tracks::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_Tracks( "Tracks", &Tracks::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString Tracks::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "Tracks", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString Tracks::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "Tracks", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* Tracks::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"Tracks", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_Tracks.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* Tracks::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "Tracks" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool Tracks::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool Tracks::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool Tracks::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool Tracks::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
