#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'behaviorconfig.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "behaviorconfig.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqcheckbox.h>
#include <ntqgroupbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KMixBehaviorConfig as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KMixBehaviorConfig::KMixBehaviorConfig( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KMixBehaviorConfig" );
    KMixBehaviorConfigLayout = new TQVBoxLayout( this, 11, 6, "KMixBehaviorConfigLayout"); 

    kcfg_starttdeRestore = new TQCheckBox( this, "kcfg_starttdeRestore" );
    kcfg_starttdeRestore->setTristate( TRUE );
    KMixBehaviorConfigLayout->addWidget( kcfg_starttdeRestore );

    kcfg_AllowDocking = new TQCheckBox( this, "kcfg_AllowDocking" );
    kcfg_AllowDocking->setChecked( TRUE );
    KMixBehaviorConfigLayout->addWidget( kcfg_AllowDocking );

    grpSystray = new TQGroupBox( this, "grpSystray" );
    grpSystray->setColumnLayout(0, TQt::Vertical );
    grpSystray->layout()->setSpacing( 6 );
    grpSystray->layout()->setMargin( 11 );
    grpSystrayLayout = new TQGridLayout( grpSystray->layout() );
    grpSystrayLayout->setAlignment( TQt::AlignTop );
    spacer1_2 = new TQSpacerItem( 20, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    grpSystrayLayout->addItem( spacer1_2, 1, 0 );

    kcfg_TrayVolumeControl = new TQCheckBox( grpSystray, "kcfg_TrayVolumeControl" );
    kcfg_TrayVolumeControl->setChecked( TRUE );

    grpSystrayLayout->addMultiCellWidget( kcfg_TrayVolumeControl, 0, 0, 0, 1 );

    layout1 = new TQVBoxLayout( 0, 0, 6, "layout1"); 

    kcfg_DockIconMuting = new TQCheckBox( grpSystray, "kcfg_DockIconMuting" );
    kcfg_DockIconMuting->setChecked( FALSE );
    layout1->addWidget( kcfg_DockIconMuting );

    kcfg_Visible = new TQCheckBox( grpSystray, "kcfg_Visible" );
    kcfg_Visible->setChecked( FALSE );
    layout1->addWidget( kcfg_Visible );

    grpSystrayLayout->addLayout( layout1, 1, 1 );
    KMixBehaviorConfigLayout->addWidget( grpSystray );
    spacer3 = new TQSpacerItem( 20, 161, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    KMixBehaviorConfigLayout->addItem( spacer3 );
    languageChange();
    resize( TQSize(659, 345).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_TrayVolumeControl, TQ_SIGNAL( toggled(bool) ), kcfg_DockIconMuting, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_TrayVolumeControl, TQ_SIGNAL( toggled(bool) ), kcfg_Visible, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_AllowDocking, TQ_SIGNAL( toggled(bool) ), grpSystray, TQ_SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KMixBehaviorConfig::~KMixBehaviorConfig()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KMixBehaviorConfig::languageChange()
{
    setCaption( tr2i18n( "Behavior" ) );
    kcfg_starttdeRestore->setText( tr2i18n( "Automatically start mixer when you &login" ) );
    kcfg_AllowDocking->setText( tr2i18n( "Enable system &tray icon" ) );
    grpSystray->setTitle( tr2i18n( "System Tray" ) );
    kcfg_TrayVolumeControl->setText( tr2i18n( "Enable system tray volume &slider" ) );
    kcfg_DockIconMuting->setText( tr2i18n( "&Middle click on system tray icon toggles muting" ) );
    kcfg_Visible->setText( tr2i18n( "Show mixer window when starting KMix" ) );
}

/****************************************************************************
** KMixBehaviorConfig meta object code from reading C++ file 'behaviorconfig.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "behaviorconfig.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KMixBehaviorConfig::className() const
{
    return "KMixBehaviorConfig";
}

TQMetaObject *KMixBehaviorConfig::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KMixBehaviorConfig( "KMixBehaviorConfig", &KMixBehaviorConfig::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KMixBehaviorConfig::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KMixBehaviorConfig", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KMixBehaviorConfig::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KMixBehaviorConfig", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KMixBehaviorConfig::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KMixBehaviorConfig", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KMixBehaviorConfig.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KMixBehaviorConfig::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KMixBehaviorConfig" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool KMixBehaviorConfig::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KMixBehaviorConfig::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KMixBehaviorConfig::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool KMixBehaviorConfig::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
