#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'encoderlameconfig.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "encoderlameconfig.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqcheckbox.h>
#include <ntqbuttongroup.h>
#include <ntqlabel.h>
#include <ntqslider.h>
#include <ntqcombobox.h>
#include <ntqradiobutton.h>
#include <ntqspinbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a EncoderLameConfig as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
EncoderLameConfig::EncoderLameConfig( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "LameConfig" );
    LameConfigLayout = new TQGridLayout( this, 1, 1, 11, 6, "LameConfigLayout"); 

    GroupBox1_2 = new TQGroupBox( this, "GroupBox1_2" );
    GroupBox1_2->setColumnLayout(0, TQt::Vertical );
    GroupBox1_2->layout()->setSpacing( 6 );
    GroupBox1_2->layout()->setMargin( 11 );
    GroupBox1_2Layout = new TQVBoxLayout( GroupBox1_2->layout() );
    GroupBox1_2Layout->setAlignment( TQt::AlignTop );

    kcfg_copyright = new TQCheckBox( GroupBox1_2, "kcfg_copyright" );
    GroupBox1_2Layout->addWidget( kcfg_copyright );

    kcfg_original = new TQCheckBox( GroupBox1_2, "kcfg_original" );
    kcfg_original->setChecked( TRUE );
    GroupBox1_2Layout->addWidget( kcfg_original );

    kcfg_iso = new TQCheckBox( GroupBox1_2, "kcfg_iso" );
    GroupBox1_2Layout->addWidget( kcfg_iso );

    kcfg_crc = new TQCheckBox( GroupBox1_2, "kcfg_crc" );
    GroupBox1_2Layout->addWidget( kcfg_crc );

    kcfg_id3_tag = new TQCheckBox( GroupBox1_2, "kcfg_id3_tag" );
    kcfg_id3_tag->setChecked( TRUE );
    GroupBox1_2Layout->addWidget( kcfg_id3_tag );

    LameConfigLayout->addWidget( GroupBox1_2, 0, 1 );

    buttonGroup1 = new TQButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, TQt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new TQGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( TQt::AlignTop );

    Layout21 = new TQHBoxLayout( 0, 0, 6, "Layout21"); 

    TextLabel3_2 = new TQLabel( buttonGroup1, "TextLabel3_2" );
    Layout21->addWidget( TextLabel3_2 );

    kcfg_quality = new TQSlider( buttonGroup1, "kcfg_quality" );
    kcfg_quality->setMinValue( -9 );
    kcfg_quality->setMaxValue( 0 );
    kcfg_quality->setPageStep( 1 );
    kcfg_quality->setValue( -7 );
    kcfg_quality->setOrientation( TQSlider::Horizontal );
    kcfg_quality->setTickmarks( TQSlider::NoMarks );
    Layout21->addWidget( kcfg_quality );

    TextLabel2_2 = new TQLabel( buttonGroup1, "TextLabel2_2" );
    Layout21->addWidget( TextLabel2_2 );

    buttonGroup1Layout->addMultiCellLayout( Layout21, 3, 3, 0, 2 );

    TextLabel1_2 = new TQLabel( buttonGroup1, "TextLabel1_2" );
    TextLabel1_2->setAlignment( int( TQLabel::AlignLeft ) );

    buttonGroup1Layout->addMultiCellWidget( TextLabel1_2, 2, 2, 0, 2 );

    kcfg_stereo = new TQComboBox( FALSE, buttonGroup1, "kcfg_stereo" );

    buttonGroup1Layout->addMultiCellWidget( kcfg_stereo, 1, 1, 0, 1 );

    kcfg_bitrate_constant = new TQRadioButton( buttonGroup1, "kcfg_bitrate_constant" );

    buttonGroup1Layout->addWidget( kcfg_bitrate_constant, 0, 0 );

    kcfg_bitrate_variable = new TQRadioButton( buttonGroup1, "kcfg_bitrate_variable" );
    kcfg_bitrate_variable->setChecked( TRUE );

    buttonGroup1Layout->addWidget( kcfg_bitrate_variable, 0, 1 );

    LameConfigLayout->addWidget( buttonGroup1, 0, 0 );
    spacer11 = new TQSpacerItem( 20, 16, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    LameConfigLayout->addItem( spacer11, 4, 0 );

    vbr_settings = new TQGroupBox( this, "vbr_settings" );
    vbr_settings->setEnabled( TRUE );
    vbr_settings->setColumnLayout(0, TQt::Vertical );
    vbr_settings->layout()->setSpacing( 6 );
    vbr_settings->layout()->setMargin( 11 );
    vbr_settingsLayout = new TQGridLayout( vbr_settings->layout() );
    vbr_settingsLayout->setAlignment( TQt::AlignTop );

    kcfg_vbr_average_br = new TQCheckBox( vbr_settings, "kcfg_vbr_average_br" );

    vbr_settingsLayout->addWidget( kcfg_vbr_average_br, 3, 0 );

    kcfg_vbr_max_brate = new TQComboBox( FALSE, vbr_settings, "kcfg_vbr_max_brate" );
    kcfg_vbr_max_brate->setEnabled( FALSE );

    vbr_settingsLayout->addWidget( kcfg_vbr_max_brate, 2, 1 );

    kcfg_vbr_max_br = new TQCheckBox( vbr_settings, "kcfg_vbr_max_br" );
    kcfg_vbr_max_br->setEnabled( FALSE );

    vbr_settingsLayout->addWidget( kcfg_vbr_max_br, 2, 0 );

    kcfg_vbr_xing_tag = new TQCheckBox( vbr_settings, "kcfg_vbr_xing_tag" );
    kcfg_vbr_xing_tag->setChecked( TRUE );

    vbr_settingsLayout->addMultiCellWidget( kcfg_vbr_xing_tag, 4, 4, 0, 1 );

    kcfg_vbr_mean_brate = new TQComboBox( FALSE, vbr_settings, "kcfg_vbr_mean_brate" );
    kcfg_vbr_mean_brate->setEnabled( FALSE );

    vbr_settingsLayout->addWidget( kcfg_vbr_mean_brate, 3, 1 );

    kcfg_vbr_min_hard = new TQCheckBox( vbr_settings, "kcfg_vbr_min_hard" );
    kcfg_vbr_min_hard->setEnabled( FALSE );

    vbr_settingsLayout->addMultiCellWidget( kcfg_vbr_min_hard, 1, 1, 0, 1 );

    kcfg_vbr_min_br = new TQCheckBox( vbr_settings, "kcfg_vbr_min_br" );
    kcfg_vbr_min_br->setEnabled( FALSE );

    vbr_settingsLayout->addWidget( kcfg_vbr_min_br, 0, 0 );

    kcfg_vbr_min_brate = new TQComboBox( FALSE, vbr_settings, "kcfg_vbr_min_brate" );
    kcfg_vbr_min_brate->setEnabled( FALSE );

    vbr_settingsLayout->addWidget( kcfg_vbr_min_brate, 0, 1 );

    LameConfigLayout->addMultiCellWidget( vbr_settings, 3, 3, 0, 1 );

    cbr_settings = new TQGroupBox( this, "cbr_settings" );
    cbr_settings->setColumnLayout(0, TQt::Vertical );
    cbr_settings->layout()->setSpacing( 6 );
    cbr_settings->layout()->setMargin( 11 );
    cbr_settingsLayout = new TQHBoxLayout( cbr_settings->layout() );
    cbr_settingsLayout->setAlignment( TQt::AlignTop );

    TextLabel4_2 = new TQLabel( cbr_settings, "TextLabel4_2" );
    cbr_settingsLayout->addWidget( TextLabel4_2 );

    kcfg_cbr_bitrate = new TQComboBox( FALSE, cbr_settings, "kcfg_cbr_bitrate" );
    cbr_settingsLayout->addWidget( kcfg_cbr_bitrate );

    LameConfigLayout->addMultiCellWidget( cbr_settings, 2, 2, 0, 1 );

    GroupBox83_2 = new TQGroupBox( this, "GroupBox83_2" );
    GroupBox83_2->setAlignment( int( TQGroupBox::AlignVCenter | TQGroupBox::AlignLeft ) );
    GroupBox83_2->setColumnLayout(0, TQt::Vertical );
    GroupBox83_2->layout()->setSpacing( 6 );
    GroupBox83_2->layout()->setMargin( 11 );
    GroupBox83_2Layout = new TQGridLayout( GroupBox83_2->layout() );
    GroupBox83_2Layout->setAlignment( TQt::AlignTop );

    kcfg_enable_lowpass = new TQCheckBox( GroupBox83_2, "kcfg_enable_lowpass" );

    GroupBox83_2Layout->addWidget( kcfg_enable_lowpass, 0, 0 );

    kcfg_lowfilterfreq = new TQSpinBox( GroupBox83_2, "kcfg_lowfilterfreq" );
    kcfg_lowfilterfreq->setEnabled( FALSE );
    kcfg_lowfilterfreq->setMaxValue( 20000 );

    GroupBox83_2Layout->addWidget( kcfg_lowfilterfreq, 1, 0 );

    kcfg_enable_highpass = new TQCheckBox( GroupBox83_2, "kcfg_enable_highpass" );

    GroupBox83_2Layout->addWidget( kcfg_enable_highpass, 2, 0 );

    kcfg_highfilterfreq = new TQSpinBox( GroupBox83_2, "kcfg_highfilterfreq" );
    kcfg_highfilterfreq->setEnabled( FALSE );
    kcfg_highfilterfreq->setMaxValue( 200 );

    GroupBox83_2Layout->addWidget( kcfg_highfilterfreq, 3, 0 );

    kcfg_set_lpf_width = new TQCheckBox( GroupBox83_2, "kcfg_set_lpf_width" );
    kcfg_set_lpf_width->setEnabled( FALSE );

    GroupBox83_2Layout->addWidget( kcfg_set_lpf_width, 0, 1 );

    kcfg_lowfilterwidth = new TQSpinBox( GroupBox83_2, "kcfg_lowfilterwidth" );
    kcfg_lowfilterwidth->setEnabled( FALSE );
    kcfg_lowfilterwidth->setMaxValue( 5000 );

    GroupBox83_2Layout->addWidget( kcfg_lowfilterwidth, 1, 1 );

    kcfg_set_hpf_width = new TQCheckBox( GroupBox83_2, "kcfg_set_hpf_width" );
    kcfg_set_hpf_width->setEnabled( FALSE );

    GroupBox83_2Layout->addWidget( kcfg_set_hpf_width, 2, 1 );

    kcfg_highfilterwidth = new TQSpinBox( GroupBox83_2, "kcfg_highfilterwidth" );
    kcfg_highfilterwidth->setEnabled( FALSE );
    kcfg_highfilterwidth->setMaxValue( 50 );

    GroupBox83_2Layout->addWidget( kcfg_highfilterwidth, 3, 1 );

    LameConfigLayout->addMultiCellWidget( GroupBox83_2, 1, 1, 0, 1 );
    languageChange();
    resize( TQSize(471, 598).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_bitrate_constant, TQ_SIGNAL( toggled(bool) ), cbr_settings, TQ_SLOT( setShown(bool) ) );
    connect( kcfg_enable_highpass, TQ_SIGNAL( toggled(bool) ), kcfg_highfilterfreq, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_enable_highpass, TQ_SIGNAL( toggled(bool) ), kcfg_highfilterwidth, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_enable_lowpass, TQ_SIGNAL( toggled(bool) ), kcfg_lowfilterfreq, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_enable_lowpass, TQ_SIGNAL( toggled(bool) ), kcfg_lowfilterwidth, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_enable_highpass, TQ_SIGNAL( toggled(bool) ), kcfg_set_hpf_width, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_enable_lowpass, TQ_SIGNAL( toggled(bool) ), kcfg_set_lpf_width, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_vbr_average_br, TQ_SIGNAL( toggled(bool) ), kcfg_vbr_max_br, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_vbr_max_br, TQ_SIGNAL( toggled(bool) ), kcfg_vbr_max_brate, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_vbr_average_br, TQ_SIGNAL( toggled(bool) ), kcfg_vbr_mean_brate, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_vbr_average_br, TQ_SIGNAL( toggled(bool) ), kcfg_vbr_min_br, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_vbr_min_br, TQ_SIGNAL( toggled(bool) ), kcfg_vbr_min_brate, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_vbr_min_br, TQ_SIGNAL( toggled(bool) ), kcfg_vbr_min_hard, TQ_SLOT( setEnabled(bool) ) );
    connect( kcfg_bitrate_variable, TQ_SIGNAL( toggled(bool) ), vbr_settings, TQ_SLOT( setShown(bool) ) );

    // tab order
    setTabOrder( kcfg_bitrate_variable, kcfg_stereo );
    setTabOrder( kcfg_stereo, kcfg_quality );
    setTabOrder( kcfg_quality, kcfg_copyright );
    setTabOrder( kcfg_copyright, kcfg_original );
    setTabOrder( kcfg_original, kcfg_iso );
    setTabOrder( kcfg_iso, kcfg_crc );
    setTabOrder( kcfg_crc, kcfg_id3_tag );
    setTabOrder( kcfg_id3_tag, kcfg_cbr_bitrate );
    setTabOrder( kcfg_cbr_bitrate, kcfg_vbr_min_br );
    setTabOrder( kcfg_vbr_min_br, kcfg_vbr_min_hard );
    setTabOrder( kcfg_vbr_min_hard, kcfg_vbr_max_br );
    setTabOrder( kcfg_vbr_max_br, kcfg_vbr_average_br );
    setTabOrder( kcfg_vbr_average_br, kcfg_vbr_xing_tag );
    setTabOrder( kcfg_vbr_xing_tag, kcfg_vbr_min_brate );
    setTabOrder( kcfg_vbr_min_brate, kcfg_vbr_max_brate );
    setTabOrder( kcfg_vbr_max_brate, kcfg_vbr_mean_brate );
    setTabOrder( kcfg_vbr_mean_brate, kcfg_enable_lowpass );
    setTabOrder( kcfg_enable_lowpass, kcfg_lowfilterfreq );
    setTabOrder( kcfg_lowfilterfreq, kcfg_enable_highpass );
    setTabOrder( kcfg_enable_highpass, kcfg_highfilterfreq );
    setTabOrder( kcfg_highfilterfreq, kcfg_set_lpf_width );
    setTabOrder( kcfg_set_lpf_width, kcfg_lowfilterwidth );
    setTabOrder( kcfg_lowfilterwidth, kcfg_set_hpf_width );
    setTabOrder( kcfg_set_hpf_width, kcfg_highfilterwidth );

    // buddies
    TextLabel1_2->setBuddy( kcfg_quality );
    TextLabel4_2->setBuddy( kcfg_cbr_bitrate );
}

/*
 *  Destroys the object and frees any allocated resources
 */
EncoderLameConfig::~EncoderLameConfig()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EncoderLameConfig::languageChange()
{
    GroupBox1_2->setTitle( tr2i18n( "Options" ) );
    kcfg_copyright->setText( tr2i18n( "Cop&yrighted" ) );
    TQToolTip::add( kcfg_copyright, tr2i18n( "Mark MP3 file as copyrighted" ) );
    TQWhatsThis::add( kcfg_copyright, tr2i18n( "Mark MP3 file as copyrighted." ) );
    kcfg_original->setText( tr2i18n( "Origi&nal" ) );
    TQToolTip::add( kcfg_original, tr2i18n( "Mark MP3 file as an original" ) );
    TQWhatsThis::add( kcfg_original, tr2i18n( "Mark MP3 file as an original." ) );
    kcfg_iso->setText( tr2i18n( "&ISO encoding" ) );
    TQToolTip::add( kcfg_iso, tr2i18n( "Try to use strict ISO encoding" ) );
    TQWhatsThis::add( kcfg_iso, tr2i18n( "This selects the maximal bitrate used for encoding." ) );
    kcfg_crc->setText( tr2i18n( "&Error protection" ) );
    kcfg_id3_tag->setText( tr2i18n( "&Write ID3 tag" ) );
    TQToolTip::add( kcfg_id3_tag, tr2i18n( "If checked and if cddb support is available, an id3 tag will be appended" ) );
    TQWhatsThis::add( kcfg_id3_tag, tr2i18n( "If checked and if cddb support is available, an id3 tag will be appended" ) );
    buttonGroup1->setTitle( tr2i18n( "Encoding Method" ) );
    TextLabel3_2->setText( tr2i18n( "Low" ) );
    TextLabel2_2->setText( tr2i18n( "High" ) );
    TextLabel1_2->setText( tr2i18n( "&Quality:" ) );
    kcfg_stereo->clear();
    kcfg_stereo->insertItem( tr2i18n( "Stereo" ) );
    kcfg_stereo->insertItem( tr2i18n( "Joint Stereo" ) );
    kcfg_stereo->insertItem( tr2i18n( "Dual Channel" ) );
    kcfg_stereo->insertItem( tr2i18n( "Mono" ) );
    TQWhatsThis::add( kcfg_stereo, tr2i18n( "This option controls whether MP3 files are recorded with one or two channels. Note that choosing <i>\"Mono\"</i> reduces file size, but also kills the stereo signal." ) );
    kcfg_bitrate_constant->setText( tr2i18n( "Constant bitrate" ) );
    kcfg_bitrate_variable->setText( tr2i18n( "Variable bitrate" ) );
    vbr_settings->setTitle( tr2i18n( "Variable Bitrate Settings" ) );
    kcfg_vbr_average_br->setText( tr2i18n( "Specify avera&ge bitrate:" ) );
    TQWhatsThis::add( kcfg_vbr_average_br, tr2i18n( "This selects the maximal bitrate used for encoding." ) );
    kcfg_vbr_max_brate->clear();
    kcfg_vbr_max_brate->insertItem( tr2i18n( "32 kbs" ) );
    kcfg_vbr_max_brate->insertItem( tr2i18n( "40 kbs" ) );
    kcfg_vbr_max_brate->insertItem( tr2i18n( "48 kbs" ) );
    kcfg_vbr_max_brate->insertItem( tr2i18n( "56 kbs" ) );
    kcfg_vbr_max_brate->insertItem( tr2i18n( "64 kbs" ) );
    kcfg_vbr_max_brate->insertItem( tr2i18n( "80 kbs" ) );
    kcfg_vbr_max_brate->insertItem( tr2i18n( "96 kbs" ) );
    kcfg_vbr_max_brate->insertItem( tr2i18n( "112 kbs" ) );
    kcfg_vbr_max_brate->insertItem( tr2i18n( "128 kbs" ) );
    kcfg_vbr_max_brate->insertItem( tr2i18n( "160 kbs" ) );
    kcfg_vbr_max_brate->insertItem( tr2i18n( "192 kbs" ) );
    kcfg_vbr_max_brate->insertItem( tr2i18n( "224 kbs" ) );
    kcfg_vbr_max_brate->insertItem( tr2i18n( "256 kbs" ) );
    kcfg_vbr_max_brate->insertItem( tr2i18n( "320 kbs" ) );
    kcfg_vbr_max_brate->setCurrentItem( 13 );
    kcfg_vbr_max_br->setText( tr2i18n( "Maximal bi&trate:" ) );
    TQWhatsThis::add( kcfg_vbr_max_br, tr2i18n( "This selects the maximal bitrate used for encoding." ) );
    kcfg_vbr_xing_tag->setText( tr2i18n( "Write &Xing VBR tag" ) );
    TQWhatsThis::add( kcfg_vbr_xing_tag, tr2i18n( "This writes additional information related to VBR as introduced by Xing." ) );
    kcfg_vbr_mean_brate->clear();
    kcfg_vbr_mean_brate->insertItem( tr2i18n( "32 kbs" ) );
    kcfg_vbr_mean_brate->insertItem( tr2i18n( "40 kbs" ) );
    kcfg_vbr_mean_brate->insertItem( tr2i18n( "48 kbs" ) );
    kcfg_vbr_mean_brate->insertItem( tr2i18n( "56 kbs" ) );
    kcfg_vbr_mean_brate->insertItem( tr2i18n( "64 kbs" ) );
    kcfg_vbr_mean_brate->insertItem( tr2i18n( "80 kbs" ) );
    kcfg_vbr_mean_brate->insertItem( tr2i18n( "96 kbs" ) );
    kcfg_vbr_mean_brate->insertItem( tr2i18n( "112 kbs" ) );
    kcfg_vbr_mean_brate->insertItem( tr2i18n( "128 kbs" ) );
    kcfg_vbr_mean_brate->insertItem( tr2i18n( "160 kbs" ) );
    kcfg_vbr_mean_brate->insertItem( tr2i18n( "192 kbs" ) );
    kcfg_vbr_mean_brate->insertItem( tr2i18n( "224 kbs" ) );
    kcfg_vbr_mean_brate->insertItem( tr2i18n( "256 kbs" ) );
    kcfg_vbr_mean_brate->insertItem( tr2i18n( "320 kbs" ) );
    kcfg_vbr_mean_brate->setCurrentItem( 9 );
    kcfg_vbr_min_hard->setText( tr2i18n( "Minimal &value is a hard limit" ) );
    kcfg_vbr_min_br->setText( tr2i18n( "Minimal &bitrate:" ) );
    TQWhatsThis::add( kcfg_vbr_min_br, tr2i18n( "This selects the minimal bitrate used for encoding." ) );
    kcfg_vbr_min_brate->clear();
    kcfg_vbr_min_brate->insertItem( tr2i18n( "32 kbs" ) );
    kcfg_vbr_min_brate->insertItem( tr2i18n( "40 kbs" ) );
    kcfg_vbr_min_brate->insertItem( tr2i18n( "48 kbs" ) );
    kcfg_vbr_min_brate->insertItem( tr2i18n( "56 kbs" ) );
    kcfg_vbr_min_brate->insertItem( tr2i18n( "64 kbs" ) );
    kcfg_vbr_min_brate->insertItem( tr2i18n( "80 kbs" ) );
    kcfg_vbr_min_brate->insertItem( tr2i18n( "96 kbs" ) );
    kcfg_vbr_min_brate->insertItem( tr2i18n( "112 kbs" ) );
    kcfg_vbr_min_brate->insertItem( tr2i18n( "128 kbs" ) );
    kcfg_vbr_min_brate->insertItem( tr2i18n( "160 kbs" ) );
    kcfg_vbr_min_brate->insertItem( tr2i18n( "192 kbs" ) );
    kcfg_vbr_min_brate->insertItem( tr2i18n( "224 kbs" ) );
    kcfg_vbr_min_brate->insertItem( tr2i18n( "256 kbs" ) );
    kcfg_vbr_min_brate->insertItem( tr2i18n( "320 kbs" ) );
    kcfg_vbr_min_brate->setCurrentItem( 1 );
    cbr_settings->setTitle( tr2i18n( "Constant Bitrate Settings" ) );
    TextLabel4_2->setText( tr2i18n( "Bitrate:" ) );
    kcfg_cbr_bitrate->clear();
    kcfg_cbr_bitrate->insertItem( tr2i18n( "32 kbs" ) );
    kcfg_cbr_bitrate->insertItem( tr2i18n( "40 kbs" ) );
    kcfg_cbr_bitrate->insertItem( tr2i18n( "48 kbs" ) );
    kcfg_cbr_bitrate->insertItem( tr2i18n( "56 kbs" ) );
    kcfg_cbr_bitrate->insertItem( tr2i18n( "64 kbs" ) );
    kcfg_cbr_bitrate->insertItem( tr2i18n( "80 kbs" ) );
    kcfg_cbr_bitrate->insertItem( tr2i18n( "96 kbs" ) );
    kcfg_cbr_bitrate->insertItem( tr2i18n( "112 kbs" ) );
    kcfg_cbr_bitrate->insertItem( tr2i18n( "128 kbs" ) );
    kcfg_cbr_bitrate->insertItem( tr2i18n( "160 kbs" ) );
    kcfg_cbr_bitrate->insertItem( tr2i18n( "192 kbs" ) );
    kcfg_cbr_bitrate->insertItem( tr2i18n( "224 kbs" ) );
    kcfg_cbr_bitrate->insertItem( tr2i18n( "256 kbs" ) );
    kcfg_cbr_bitrate->insertItem( tr2i18n( "320 kbs" ) );
    kcfg_cbr_bitrate->setCurrentItem( 9 );
    TQWhatsThis::add( kcfg_cbr_bitrate, tr2i18n( "The higher the bitrate, the better the quality and the larger the file." ) );
    GroupBox83_2->setTitle( tr2i18n( "Filter Settings" ) );
    kcfg_enable_lowpass->setText( tr2i18n( "&Lowpass filter cutoff above" ) );
    kcfg_lowfilterfreq->setSuffix( tr2i18n( " Hz" ) );
    kcfg_enable_highpass->setText( tr2i18n( "&Highpass filter cutoff below" ) );
    kcfg_highfilterfreq->setSuffix( tr2i18n( " Hz" ) );
    kcfg_set_lpf_width->setText( tr2i18n( "Low&pass filter width" ) );
    kcfg_lowfilterwidth->setSuffix( tr2i18n( " Hz" ) );
    kcfg_set_hpf_width->setText( tr2i18n( "Highpa&ss filter width" ) );
    kcfg_highfilterwidth->setSuffix( tr2i18n( " Hz" ) );
}

/****************************************************************************
** EncoderLameConfig meta object code from reading C++ file 'encoderlameconfig.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "encoderlameconfig.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *EncoderLameConfig::className() const
{
    return "EncoderLameConfig";
}

TQMetaObject *EncoderLameConfig::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_EncoderLameConfig( "EncoderLameConfig", &EncoderLameConfig::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString EncoderLameConfig::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "EncoderLameConfig", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString EncoderLameConfig::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "EncoderLameConfig", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* EncoderLameConfig::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"EncoderLameConfig", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_EncoderLameConfig.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* EncoderLameConfig::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "EncoderLameConfig" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool EncoderLameConfig::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool EncoderLameConfig::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool EncoderLameConfig::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool EncoderLameConfig::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
